Update Source Description

Update a Source Description.

The Source Description resource updates a user's source description. The FamilySearch implementation of the Source Description resource does not support all properties of a source description as defined by GEDCOM X. Support is limited to the following:

PropertyDescription
idA local identifier for the source description.
aboutURI to the resource being described, if any.
titleLabel, title, or other name to display to the user for the source.
citationThe citation for the source. FamilySearch only supports the value of the citation and not any template or associated citation fields.
notesNotes about the source provided by a user.
Path Params
string
required

The id of the source description to update. To find source description IDs, see Read User Source Descriptions, or Create Source Description to create a new source description.

Body Params
sourceDescriptions
array of objects
required
length between 1 and 1

Array containing the source description to update. Only one source description may be updated per request.

sourceDescriptions*
string

The URI to the resource being described

citations
array of objects

Array of citations for the source

citations
titles
array of objects

Array of titles for the source

titles
notes
array of objects

Array of notes about the source

notes
attribution
object
Headers
string
enum
required

Specifies the media type of the entity-body sent to the server in the request.

Allowed:
Responses
204

The update was successful.

404

If the requested source description is not found.

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here!